### Method

# Gio DBusObjectSkeleton remove_interface_by_name

since: 2.30

#### Declaration

    void
    g_dbus_object_skeleton_remove_interface_by_name (
      GDBusObjectSkeleton* object,
      const gchar* interface_name
    )

#### Description

Removes the `GDBusInterface` with `interface_name` from `object`.

If no D-Bus interface of the given interface exists, this function does nothing.

Available since: 2.30

#### Parameters

`interface_name`

  Type: `const gchar*`

  A D-Bus interface name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.